### Property

# WebKit2 Settings:enable-mediasource

#### Declaration

    property enable-mediasource: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for MediaSource on pages. MediaSource extends HTMLMediaElement to allow JavaScript to generate media streams for playback.

See also http://www.w3.org/TR/media-source/

Type: | `gboolean`
Available since: | 2.4

Setter method | `webkit_settings_set_enable_mediasource()`
Getter method | `webkit_settings_get_enable_mediasource()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no